%define _prefix /usr
%define cvs rc2
%define _default_patch_fuzz 2

Summary: The Open Vulnerability Assessment (OpenVAS) Manager
Name:    openvas-manager
Version: 4.0.4
Release: 13.art
Source0: %{name}-%{version}.tar.gz
#Source0: %{name}-%{version}-%{cvs}.tar.gz
Source1: openvasmd-init.sh
Source2: openvas-manager.sysconfig
Source3: openvasmd.logrotate
Patch0: no-werror.patch
Patch1: report-fix.patch
Patch2: chmod-fix.patch
Patch3: ssh-keygen-fix.patch
Patch4: openvas-scap-path-fix.patch
Patch5: openvas-manager-gpgerror.patch
License: GNU GPLv2
URL: http://www.openvas.org
Group: System Environment/Libraries
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
#AutoReqProv: no
#AutoReq: 0


BuildRequires:  openvas-libraries-devel
BuildRequires:  libksba-devel


BuildRequires: e2fsprogs-devel, sqlite-devel, doxygen
BuildRequires: cmake
BuildRequires: libgcrypt-devel gpgme gpgme-devel
Requires: openvas-libraries
Requires: sqlite >= 3.6
Requires: doxygen
Requires: /usr/bin/pdflatex
Requires: /usr/bin/makensis
%if 0%{?fc13}
Requires: perl-SQL-Translator
%endif


%if 0%{?fedora} >= 15
BuildRequires: libassuan libassuan-devel
%endif

%if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
BuildRequires: libuuid libuuid-devel
%else
BuildRequires: e2fsprogs e2fsprogs-devel
%endif


%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
%endif

%if 0%{?el5}%{?fc6}%{?fc7}
BuildRequires:  openvas-glib2-devel openvas-glib2
Requires: openvas-glib2
BuildRequires: e2fsprogs e2fsprogs-devel
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
%endif

%if 0%{?el4}%{?el5}%{?fc7}
BuildRequires: compat-gnutls2, compat-gnutls2-devel
BuildConflicts: gnutls gnutls-devel
%else
BuildRequires: gnutls-devel
%endif

%if 0%{?el4}
BuildRequires: libpcap
%else
#BuildRequires: %{_includedir}/pcap.h
BuildRequires: libpcap-devel
%endif


 
%description
The OpenVAS-Manager is a layer between OpenVAS-Scanner and various client
applications such as OpenVAS-Client or Greenbone Security Assistant.  Among
other features, it adds server-side storage of scan results and it makes it
unnecessary for a scan client to keep the connection open until the scan
finishes.


%prep
%setup -b 0 -n %{name}-%{version}
#%setup -n %{name}-%{version}+%{cvs} -b 0
#%patch0 -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%build

%if 0%{?el4}
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el5}%{?fc6}%{?fc7}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/openvas/lib/ -L/usr/openvas/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib -I/usr/openvas/include"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/openvas/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/openvas/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el4}%{?el5}
  export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig:/usr/lib/pkgconfig:/usr/openvas/lib/pkgconfig/:/usr/openvas/lib64/pkgconfig/
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
%endif


cmake -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir}


%if 0%{?el4}0%{?el5}
perl -p -i -e "s[^include= ][include= -I/usr/gnutls2/include -L/usr/gnutls2/lib ]" openvas.tmpl
%endif


%{__make}  %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"


mkdir -p %{buildroot}/var/lib/openvas/openvasmd/report_formats/
#mkdir -p %{buildroot}/usr/bin
#mkdir -p %{buildroot}/usr/share/openvas/
#
#%{__install} -m 0755 ./src/openvasmd %{buildroot}/usr/bin/openvasmd
#%{__install} -m 0644 ./src/openvasmd_log.conf %{buildroot}/etc/openvas/openvasmd_log.conf
##%{__install} -m 0644 ./src/ITG.xsl %{buildroot}/etc/openvas/xsl/ITG.xsl
#%{__install} -m 0644 ./src/CPE.xsl %{buildroot}/etc/openvas/xsl/CPE.xsl
#%{__install} -m 0644 ./src/openvasmd_report_html.xsl %{buildroot}//usr/share/openvas/openvasmd_report_html.xsl
#
# Install startup script. Dont use %{_initdir} here. This breaks el4 builds
install -Dp -m 755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/openvas-manager

# Install sysconfig configration
install -Dp -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/openvas-manager


# install log rotation stuff
install -m 644 -Dp %{SOURCE3} \
        %{buildroot}/%{_sysconfdir}/logrotate.d/openvas-manager




%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ $1 -eq 1 ]; then
  
  # set openvas-scanner to port 9391
  if [ -f /etc/sysconfig/openvas-scanner ]; then
    /usr/bin/perl -p -i -e 's[^OPTIONS.*][OPTIONS="-p 9391"]g' /etc/sysconfig/openvas-scanner
  fi

 # # openvas-scanner must be restarted
 # /sbin/service openvas-scanner restart >/dev/null 2>&1 || :

  # Create the om user
  if [ ! -f /var/lib/openvas/CA/clientcert.pem ]; then
  	/usr/sbin/openvas-mkcert-client -n om -i >/dev/null 2>&1 || :
  fi

  # Initialize the sqlite db
  if [ -d /var/lib/openvas/mgr ]; then
    /bin/touch /var/lib/openvas/mgr/tasks.db >/dev/null 2>&1
  fi
 # /usr/sbin/openvasmd -f --migrate >/dev/null 2>&1 || :
 # /usr/sbin/openvasmd -f --rebuild >/dev/null 2>&1 || :

  # Add openvasmd to setup
  /sbin/chkconfig --add openvas-manager
  /sbin/chkconfig openvas-manager on

  # start openvasmd
  #/sbin/service openvas-manager start >/dev/null 2>&1 || :

fi


%preun
if [ $1 = 0 ]; then
  /sbin/service openvas-manager stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del openvas-manager
fi

%postun
if [ $1 -ge 1 ]; then
  /sbin/service openvas-manager condrestart >/dev/null 2>&1 || :
fi





%files
%defattr(-,root,root,-)
%config /etc/openvas/openvasmd_log.conf
%config /etc/sysconfig/openvas-manager
%{_sbindir}/openvasmd
/usr/share/man/man8/openvasmd.8.gz
/usr/share/openvas/openvasmd/*
/etc/logrotate.d/openvas-manager
/etc/rc.d/init.d/openvas-manager
/usr/sbin/greenbone-scapdata-sync
/usr/sbin/openvas-scapdata-sync
/usr/share/openvas/scap/
/usr/sbin/greenbone-certdata-sync
/usr/sbin/openvas-certdata-sync
/usr/share/doc/openvas-manager/html/omp.html
/usr/share/openvas/cert/cert_db_init.sql
/usr/share/openvas/cert/dfn_cert_getbyname.xsl
/usr/share/openvas/cert/dfn_cert_update.xsl



%changelog
* Fri Nov 8 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.4-14
- Update to 4.0.4

* Fri Oct 25 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.3-13
- Update to 4.0.3

* Fri Jul 5 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.2-11
- Update to 4.0.2

* Fri Jun 7 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.1-10
- Update to 4.0.1

* Thu Apr 18 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.0-9
- Update to 4.0.0

* Thu Dec 20 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.5-8
- Complete migrate of basic setup into openvas-setup

* Thu Dec 20 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.5-7
- Update to 3.0.5
- Just in time for the apocalypse!

* Mon Dec 3 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.4-6
- Bugfix #XXX, for openvas-scapdata-sync path

* Fri Nov 23 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.4-5
- Bugfix #XXX, for openvas-scapdata-sync path

* Wed Nov 07 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.4-4
- Update to 3.0.4

* Mon Aug 20 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.3-3
- Update to 3.0.3

* Thu May 10 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.1-2
- Update to 3.0.1

* Tue Apr 24 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.0-1
- Update to 3.0.0

* Tue Jun 14 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.4-2
- Bugfix #XXX, this changes the keygen code to use DSA instead of RSA to handle a bug in gnutls.

* Wed Jun 1 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.4-1
- Update to 2.0.4

* Fri May 4 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.3-3
- Bugfix #XXX, for broken chmod on tasks.db
- Updated openvas-nvt-sync-cron to create the task db if it does not otherwise exist.

* Wed May 4 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.3-2
- Minor %post update to create the task.db before --rebuild runs

* Fri Apr 15 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.3-1
- UPdate to 2.0.3

* Tue Feb 22 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.1-1
- Update to 2.0.1

* Thu Feb 17 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.0-1
- Update to 2.0.0 final

* Wed Jan 19 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.3
- Update to 2.0 rc2

* Thu Dec 30 2010 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.2
- Update 2.0 rc1

* Fri Dec 10 2010 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.1
- Update to 2.0 beta 3

* Mon Aug 30 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.2-2
- Added init script
- Added sysconfig
- Added Logrotate
- Added %post/%postun macros to configure/create users and databases
- Added %post routine to reconfigure openvas-scanner to work with manager

* Thu Aug 26 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.2-1
- Update to 1.0.2

* Thu Jul 29 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-1
- Update to 1.0.0 final

* Wed Apr 28 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-beta6.1-1
- Update to beta6

* Tue Apr 13 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-beta5.1-1
- initial build

